Subject: Re: [xdp-hints] Re: [PATCH bpf-next v3 11/12] mlx5: Support RX XDP metadata

From: Jakub Kicinski <[email-masked]>
Date: Fri, 9 Dec 2022 14:13:03 -0800

On Fri, 9 Dec 2022 09:46:20 -0800 Stanislav Fomichev wrote:
> > Is partial inlining hard? (inline just the check and generate a full
> > call for the read, ending up with the same code as with _supported())  
> 
> I'm assuming you're suggesting to do this partial inlining manually
> (as in, writing the code to output this bytecode)?
> This probably also falls into the "manual bpf asm generation tech debt" bucket?
> LMK if I missed your point.

Maybe just ignore that, I'm not sure how the unrolling of 
the _supported() calls was expected to work in the first place.